itpp::Audio_Sample< enc_linear8 > Class Reference
Source Coding Module » Audio

8-bit PCM encoded audio samples. More...

`#include <itpp/srccode/audiosample.h>`

## Public Types

typedef int8_t | enc_sample_type

## Static Public Member Functions

static enc_sample_type | encode (const double &s)
static double | decode (const enc_sample_type &s)

## Static Public Attributes

static const std::size_t | enc_sample_size = sizeof(enc_sample_type)

## Detailed Description

8-bit PCM encoded audio samples.

Definition at line 125 of file audiosample.h.

## Member Typedef Documentation

## enc_sample_type

typedef int8_t itpp::Audio_Sample< enc_linear8 >::enc_sample_type

Definition at line 128 of file audiosample.h.

## Member Function Documentation

## encode()

static enc_sample_type itpp::Audio_Sample< enc_linear8 >::encode | ( | const double & | s | ) |

inline static

Definition at line 130 of file audiosample.h.

## decode()

static double itpp::Audio_Sample< enc_linear8 >::decode | ( | const enc_sample_type & | s | ) |

inline static

Definition at line 134 of file audiosample.h.

## Member Data Documentation

## enc_sample_size

const std::size_t itpp::Audio_Sample< enc_linear8 >::enc_sample_size = sizeof(enc_sample_type)

static

Definition at line 129 of file audiosample.h.

The documentation for this class was generated from the following file:

- itpp/srccode/audiosample.h

Generated on Mon Apr 22 2024 09:45:27 for IT++ by Doxygen 1.9.8